hpp-corbaserver: _impl_Device Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Public Member Functions | List of all members
_impl_Device Class Referenceabstract

`#include <hpp/pinocchio_idl/robots-idl.hh>`

Inheritance diagram for _impl_Device:
[legend]
Collaboration diagram for _impl_Device:
[legend]

## Public Member Functions
virtual | ~_impl_Device ()
virtual void | deleteThis ()=0
virtual ::CORBA::Boolean | deleteIfExpired ()=0
virtual void | persistantStorage (::CORBA::Boolean persistant)=0
virtual char * | name ()=0
virtual floatSeq * | neutralConfiguration ()=0
virtual size_type | configSize ()=0
virtual size_type | numberDof ()=0
virtual void | integrate (const ::hpp::floatSeq &config_in, const ::hpp::floatSeq &velocity, ::hpp::floatSeq_out result)=0
virtual void | difference (const ::hpp::floatSeq &q1, const ::hpp::floatSeq &q2, ::hpp::floatSeq_out result)=0
virtual void | interpolate (const ::hpp::floatSeq &q1, const ::hpp::floatSeq &q2, ::CORBA::Float u, ::hpp::floatSeq_out result)=0
virtual void | saturate (const ::hpp::floatSeq &qin, ::hpp::floatSeq_out qout, ::hpp::boolSeq_out saturation)=0
virtual void | replaceGeometryByConvexHull (const ::hpp::Names_t &geometryNames)=0
virtual floatSeq * | getCurrentConfiguration ()=0
virtual ::CORBA::Boolean | setCurrentConfiguration (const ::hpp::floatSeq &configuration)=0
virtual floatSeq * | getCurrentVelocity ()=0
virtual ::CORBA::Boolean | setCurrentVelocity (const ::hpp::floatSeq &velocity)=0
virtual floatSeq * | getCurrentAcceleration ()=0
virtual ::CORBA::Boolean | setCurrentAcceleration (const ::hpp::floatSeq &acceleration)=0
virtual ::CORBA::Short | computationFlag ()=0
virtual void | controlComputation (::CORBA::Short flag)=0
virtual void | computeForwardKinematics (::CORBA::Short computationFlag)=0
virtual void | computeFramesForwardKinematics ()=0
virtual void | updateGeometryPlacements ()=0
virtual frame_index | getFrameByName (const char *name)=0
virtual Transform__slice * | getFramePosition (::hpp::frame_index frame_id)=0
virtual floatSeqSeq * | getFrameJacobian (::hpp::frame_index frame_id)=0
virtual void | removeJoints (const ::hpp::Names_t &joints, const ::hpp::floatSeq &refConfig)=0
virtual _CORBA_Boolean | _dispatch (omniCallHandle &)

## Constructor & Destructor Documentation

## ◆ ~_impl_Device()

virtual _impl_Device::~_impl_Device | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ _dispatch()

virtual _CORBA_Boolean _impl_Device::_dispatch | ( | omniCallHandle & |  | ) |
| virtual

## ◆ computationFlag()

virtual ::CORBA::Short _impl_Device::computationFlag | ( |  | ) |
| pure virtual

## ◆ computeForwardKinematics()

virtual void _impl_Device::computeForwardKinematics | ( | ::CORBA::Short | computationFlag | ) |
| pure virtual

## ◆ computeFramesForwardKinematics()

virtual void _impl_Device::computeFramesForwardKinematics | ( |  | ) |
| pure virtual

## ◆ configSize()

virtual size_type _impl_Device::configSize | ( |  | ) |
| pure virtual

## ◆ controlComputation()

virtual void _impl_Device::controlComputation | ( | ::CORBA::Short | flag | ) |
| pure virtual

## ◆ deleteIfExpired()

virtual ::CORBA::Boolean _impl_Device::deleteIfExpired | ( |  | ) |
| pure virtual

## ◆ deleteThis()

virtual void _impl_Device::deleteThis | ( |  | ) |
| pure virtual

## ◆ difference()

virtual void _impl_Device::difference | ( | const ::hpp::floatSeq & | q1,
|  | const ::hpp::floatSeq & | q2,
|  | ::hpp::floatSeq_out | result
| ) |  |
| pure virtual

## ◆ getCurrentAcceleration()

virtual floatSeq* _impl_Device::getCurrentAcceleration | ( |  | ) |
| pure virtual

## ◆ getCurrentConfiguration()

virtual floatSeq* _impl_Device::getCurrentConfiguration | ( |  | ) |
| pure virtual

## ◆ getCurrentVelocity()

virtual floatSeq* _impl_Device::getCurrentVelocity | ( |  | ) |
| pure virtual

## ◆ getFrameByName()

virtual frame_index _impl_Device::getFrameByName | ( | const char * | name | ) |
| pure virtual

## ◆ getFrameJacobian()

virtual floatSeqSeq* _impl_Device::getFrameJacobian | ( | ::hpp::frame_index | frame_id | ) |
| pure virtual

## ◆ getFramePosition()

virtual Transform__slice* _impl_Device::getFramePosition | ( | ::hpp::frame_index | frame_id | ) |
| pure virtual

## ◆ integrate()

virtual void _impl_Device::integrate | ( | const ::hpp::floatSeq & | config_in,
|  | const ::hpp::floatSeq & | velocity,
|  | ::hpp::floatSeq_out | result
| ) |  |
| pure virtual

## ◆ interpolate()

virtual void _impl_Device::interpolate | ( | const ::hpp::floatSeq & | q1,
|  | const ::hpp::floatSeq & | q2,
|  | ::CORBA::Float | u,
|  | ::hpp::floatSeq_out | result
| ) |  |
| pure virtual

## ◆ name()

virtual char* _impl_Device::name | ( |  | ) |
| pure virtual

## ◆ neutralConfiguration()

virtual floatSeq* _impl_Device::neutralConfiguration | ( |  | ) |
| pure virtual

## ◆ numberDof()

virtual size_type _impl_Device::numberDof | ( |  | ) |
| pure virtual

## ◆ persistantStorage()

virtual void _impl_Device::persistantStorage | ( | ::CORBA::Boolean | persistant | ) |
| pure virtual

## ◆ removeJoints()

virtual void _impl_Device::removeJoints | ( | const ::hpp::Names_t & | joints,
|  | const ::hpp::floatSeq & | refConfig
| ) |  |
| pure virtual

## ◆ replaceGeometryByConvexHull()

virtual void _impl_Device::replaceGeometryByConvexHull | ( | const ::hpp::Names_t & | geometryNames | ) |
| pure virtual

## ◆ saturate()

virtual void _impl_Device::saturate | ( | const ::hpp::floatSeq & | qin,
|  | ::hpp::floatSeq_out | qout,
|  | ::hpp::boolSeq_out | saturation
| ) |  |
| pure virtual

## ◆ setCurrentAcceleration()

virtual ::CORBA::Boolean _impl_Device::setCurrentAcceleration | ( | const ::hpp::floatSeq & | acceleration | ) |
| pure virtual

## ◆ setCurrentConfiguration()

virtual ::CORBA::Boolean _impl_Device::setCurrentConfiguration | ( | const ::hpp::floatSeq & | configuration | ) |
| pure virtual

## ◆ setCurrentVelocity()

virtual ::CORBA::Boolean _impl_Device::setCurrentVelocity | ( | const ::hpp::floatSeq & | velocity | ) |
| pure virtual

## ◆ updateGeometryPlacements()

virtual void _impl_Device::updateGeometryPlacements | ( |  | ) |
| pure virtual

The documentation for this class was generated from the following file:

- src/hpp/pinocchio_idl/robots-idl.hh